## ros-eloquent-rcl-yaml-param-parser 0.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_yaml_param_parser)

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)
find_package(libyaml_vendor REQUIRED)
find_package(yaml REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(include ${yaml_INCLUDE_DIRS} ${rcutils_INCLUDE_DIRS} ${rcl_INCLUDE_DIRS})

set(rcl_yaml_parser_sources
  src/parser.c
)

add_library(
  ${PROJECT_NAME}
  ${rcl_yaml_parser_sources})
ament_target_dependencies(${PROJECT_NAME} "yaml" "rcutils")

# Set the visibility to hidden by default if possible
if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  # Set the visibility of symbols to hidden by default for gcc and clang
  # (this is already the default on Windows)
  set_target_properties(${PROJECT_NAME}
    PROPERTIES
    COMPILE_FLAGS "-fvisibility=hidden"
  )
endif()

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "RCL_YAML_PARAM_PARSER_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Gtests
  ament_add_gtest(test_parse_yaml
    test/test_parse_yaml.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parse_yaml)
    target_link_libraries(test_parse_yaml ${PROJECT_NAME})
    target_include_directories(test_parse_yaml
      PRIVATE ${osrf_testing_tools_cpp_INCLUDE_DIRS})
  endif()

endif()

ament_export_dependencies(ament_cmake)
ament_export_include_directories(include)
install(
  DIRECTORY include/
  DESTINATION include
)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-eloquent-rcl-yaml-param-parser (0.8.5-1bionic) bionic; urgency=high

  * added rcl yaml param parser doxyfile (#634 <https://github.com/ros2/rcl/issues/634>) (#700 <https://github.com/ros2/rcl/issues/700>)
  * Fix behavior when provided a malformed parameters file (#556 <https://github.com/ros2/rcl/issues/556>)

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.4-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.3-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.2-1bionic) bionic; urgency=high

  * Specify test working directory (#529 <https://github.com/ros2/rcl/issues/529>)
  * Remove the maximum string size. (#524 <https://github.com/ros2/rcl/issues/524>)
  * Contributors: Chris Lalancette, Dan Rose

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.1-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 08 Oct 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.8.0-1bionic) bionic; urgency=high

  * Enable incremental parameter yaml file parsing. (#507 <https://github.com/ros2/rcl/issues/507>)
  * Support parameter overrides and remap rules flags on command line (#483 <https://github.com/ros2/rcl/issues/483>)
  * Increase MAX_STRING_SIZE (#487 <https://github.com/ros2/rcl/issues/487>)
  * include actual size in error message (#490 <https://github.com/ros2/rcl/issues/490>)
  * Avoid C4703 error on UWP (#282 <https://github.com/ros2/rcl/issues/282>)
  * [YAML Parser] Support parameter value parsing (#471 <https://github.com/ros2/rcl/issues/471>)
  * [YAML Parser] Depend on rcutils only (#470 <https://github.com/ros2/rcl/issues/470>)
  * Accept quoted int or float values as strings (#464 <https://github.com/ros2/rcl/issues/464>)
  * Fix memory corruption when maximum number of parameters is exceeded (#456 <https://github.com/ros2/rcl/issues/456>)
  * Contributors: Dirk Thomas, Esteve Fernandez, Jacob Perron, Michel Hidalgo, hyunseok-yang, ivanpauno

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.4-1bionic) bionic; urgency=high

  * Allow empty strings if they are quoted. (#450 <https://github.com/ros2/rcl/issues/450>)
  * Contributors: Ralf Anton Beier

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.3-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.2-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.1-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 29 Apr 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.7.0-1bionic) bionic; urgency=high

  * Corrected bool reading from yaml files. (#415 <https://github.com/ros2/rcl/issues/415>)
  * Added launch along with launch_testing as test dependencies. (#393 <https://github.com/ros2/rcl/issues/393>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Contributors: Michel Hidalgo, Sachin Suresh Bhat, ivanpauno

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.4-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 11 Jan 2019 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.3-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.2-1bionic) bionic; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.1-1bionic) bionic; urgency=high

  * No changes.

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.6.0-1bionic) bionic; urgency=high

  * Updated to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Fixed FQN=//node_name when ns is / (#299 <https://github.com/ros2/rcl/issues/299>)
  * Fixed documentation issues (#288 <https://github.com/ros2/rcl/issues/288>)
  * Fixed to deallocate ret_val to avoid memory leak (#278 <https://github.com/ros2/rcl/issues/278>)
  * Contributors: Chris Ye, William Woodall, dhood

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rcl-yaml-param-parser (0.5.0-1bionic) bionic; urgency=high

  * Added functions to parse YAML parameter files. (#235 <https://github.com/ros2/rcl/issues/235>)
  * Contributors: Shane Loretz, William Woodall, anup-pem, dhood

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 25 Jun 2018 05:00:00 -0000

=== debian/control ===
Source: ros-eloquent-rcl-yaml-param-parser
Section: misc
Priority: optional
Maintainer: Anup Pemmaiah <anup.pemmaiah@apex.ai>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-libyaml-vendor, ros-eloquent-osrf-testing-tools-cpp, ros-eloquent-rcutils, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rcl-yaml-param-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-eloquent-libyaml-vendor, ros-eloquent-ros-workspace
Description: Package containing various utility types and functions for C

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rcl-yaml-param-parser//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
